---
title: HTMLSelectElement.form
slug: Web/API/HTMLSelectElement/form
tags:
  - API
  - HTMLSelectElement
  - Property
  - Read-only
  - Reference
---
<p>{{ APIRef("HTML DOM") }}</p>

<p>The <code><strong>HTMLSelectElement.form</strong></code> read-only property returns a {{domxref("HTMLFormElement")}} representing the form that this element is associated with. If the element is not associated with of a {{HTMLElement("form")}} element, then it returns <code>null</code>.</p>

<h2 id="Syntax">Syntax</h2>

<p><a class="button section-edit only-icon" href="/en-US/docs/Web/API/HTMLSelectElement/type$edit#Syntax"><span>Edit</span></a></p>

<pre class="syntaxbox">aForm = aSelectElement.form.selectname; </pre>

<h2 id="Example">Example</h2>

<h3 id="HTML">HTML</h3>

<pre>&lt;form action="http://www.google.com/search" method="get"&gt;
 &lt;label&gt;Google: &lt;input type="search" name="q"&gt;&lt;/label&gt; &lt;input type="submit" value="Search..."&gt;
&lt;/form&gt;</pre>

<h3 id="Javascript">Javascript</h3>

<p>A property available on all form elements, "type" returns the type of the calling form element. For SELECT, the two possible values are "<code>select-one</code>" or "<code>select-multiple</code>", depending on the type of selection list. The below code gives all SELECT elements in a particular form a CSS class of "<code>selectclass</code>":</p>

<pre class="brush:js">&lt;script type="text/javascript"&gt;
<code class="jscript keyword">var</code> <code class="jscript plain">form_element = document.getElementById(</code><code class="jscript string">'subscribe_form'</code><code class="jscript plain">);</code>
<code class="jscript keyword">var</code> <code class="jscript plain">vist = form_element.style;</code>
<code class="jscript keyword">if</code> <code class="jscript plain">(vist.display==</code><code class="jscript string">''</code> <code class="jscript plain">|| vist.display==</code><code class="jscript string">'none'</code><code class="jscript plain">)</code>
<code class="jscript plain">{</code>
<code class="jscript spaces">  </code><code class="jscript plain">vist.display = </code><code class="jscript string">'block'</code><code class="jscript plain">;</code>
<code class="jscript plain">}</code>
<code class="jscript keyword">else</code>
<code class="jscript plain">{</code>
<code class="jscript spaces">  </code><code class="jscript plain">vist.display = </code><code class="jscript string">'none';</code>
<code class="jscript plain">}</code>
&lt;/script&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-fae-form', 'form')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'forms.html#dom-select-form', 'HTMLSelectElement')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition, snapshot of {{SpecName("HTML WHATWG")}}.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.HTMLSelectElement.form")}}</p>
